Subject: bug#39553: 28.0.50; ada mode was removed

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 Sep 2020 17:24:54 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 8 Sep 2020 00:36:24 -0700
> Cc: [email-masked]
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > As for the policy of moving modes to ELPA -- I think we shouldn't do
> > that until we have the "include ELPA in the Emacs distribution" thing
> > that's been discussed for quite a while (but hasn't been implemented
> > yet).
> 
> Is it hard to do?  We just need to add a step to copy the relevant files
> in make-tarball.txt and we're done, no?

That part is simple, but then it won't support updating the package
from ELPA.  So doing this "the simple way" flies in the face of the
very reason for which packages are moved to ELPA: to allow users
update them without waiting for the next Emacs release.

The challenge is to "include ELPA" in a way that will allow updating
the included packages.

> > As for ada-mode in particular, it's too late to move it back now, so I
> > don't think there's anything further to be done in this bug report, so
> > I'm closing it.
> 
> Can't we just move it back in 27.2?

If that's what people want, sure, I think we can.  But we should first
review the reasons for which we moved ada-mode to ELPA: perhaps some
of those reasons are still valid, and we will be re-creating the same
problems again.